import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import jpos.*;

public class DisplayBitmapSample{
	public static void main(String args[]){		
		DisplayBitmapFrame pnf;
		pnf = new DisplayBitmapFrame();
		pnf.setVisible(true);
	}
}

class DisplayBitmapFrame extends Frame implements ActionListener{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	Button printButton = null;
	Button closeButton = null;
	LineDisplay	lineDisplay = null;
	
	DisplayBitmapFrame(){
		int width = 250;
		int height = 70;
		
		FlowLayout fl = new FlowLayout(FlowLayout.CENTER);
		this.setLayout(fl);
		printButton = new Button("DisplayBitmap");
		printButton.addActionListener(this);
		closeButton = new Button("Close");
		closeButton.addActionListener(this);
		this.add(printButton);
		this.add(closeButton);
		this.setTitle("DisplayBitmap Sample");
		Dimension dimen = Toolkit.getDefaultToolkit().getScreenSize();		
		this.setSize(width, height);
		this.setLocation(dimen.width/2-width/2, dimen.height/2 - height/2);		

		lineDisplay = new LineDisplay();
		try {
			lineDisplay.open("defaultDisplay");
			lineDisplay.claim(0);
			lineDisplay.setDeviceEnabled(true);
		} catch (JposException e) {
			e.printStackTrace();
			System.exit(0);
		}
	}

	public void actionPerformed(ActionEvent e) {
		if(e.getSource() == printButton){
			try {
				int width = lineDisplay.getMaximumX() / 2;
				if(SystemUtils.IS_OS_WINDOWS)
					lineDisplay.displayBitmap(".\\logo.bmp", width, LineDisplayConst.DISP_BM_CENTER, LineDisplayConst.DISP_BM_CENTER);
				else
					lineDisplay.displayBitmap("./logo.bmp", width, LineDisplayConst.DISP_BM_CENTER, LineDisplayConst.DISP_BM_CENTER);
				
			} catch (JposException jposEvent) {
				jposEvent.printStackTrace();
			}
		}
		else if(e.getSource() == closeButton)
			try {
				lineDisplay.setDeviceEnabled(false);
				lineDisplay.release();
				lineDisplay.close();
				System.exit(0);
			} catch (JposException e1) {
				e1.printStackTrace();
				System.exit(0);				
			}			
	}
}
