import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import jpos.*;

public class CheckHealthSample{
	public static void main(String args[]){		
		CheckHealthFrame chf = new CheckHealthFrame();
		chf.setVisible(true);
	}
}

class CheckHealthFrame extends Frame implements ActionListener{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	Button checkhealthButton = null;
	Button closeButton = null;
	POSPrinter ptr = null;
	
	CheckHealthFrame(){
		int width = 250;
		int height = 70;
		
		FlowLayout fl = new FlowLayout(FlowLayout.CENTER);
		this.setLayout(fl);
		checkhealthButton = new Button("CheckHealth");
		checkhealthButton.addActionListener(this);
		closeButton = new Button("Close");
		closeButton.addActionListener(this);
		this.add(checkhealthButton);
		this.add(closeButton);
		this.setTitle("CheckHealth Sample");
		Dimension dimen = Toolkit.getDefaultToolkit().getScreenSize();		
		this.setSize(width, height);
		this.setLocation(dimen.width/2-width/2, dimen.height/2 - height/2);		

		ptr = new POSPrinter();
		try {
			ptr.open("defaultPrinter");
			ptr.claim(0);
			ptr.setDeviceEnabled(true);
		} catch (JposException e) {
			e.printStackTrace();
			System.exit(0);
		}
	}

	public void actionPerformed(ActionEvent e) {
		if(e.getSource() == checkhealthButton){
			try {
				byte ESCSquence[] = new byte[]{0x1B, 0x7C};
				
				//	CheckHealth				
				ptr.checkHealth(JposConst.JPOS_CH_EXTERNAL);
				//	Feed 7 lines
				ptr.printNormal(POSPrinterConst.PTR_S_RECEIPT, new String(ESCSquence) + "7lF");
			} catch (JposException jposEvent) {
				jposEvent.printStackTrace();
			}
		}
		else if(e.getSource() == closeButton)
			try {
				ptr.setDeviceEnabled(false);
				ptr.release();
				ptr.close();
				System.exit(0);
			} catch (JposException e1) {
				e1.printStackTrace();
				System.exit(0);
			}			
	}
}
