import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import jpos.*;

public class CutPaperSample{
	public static void main(String args[]){		
		CutPaperFrame pnf = new CutPaperFrame();
		pnf.setVisible(true);
	}
}

class CutPaperFrame extends Frame implements ActionListener{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	Button cutpaperButton = null;
	Button closeButton = null;
	POSPrinter ptr = null;
	
	CutPaperFrame(){
		int width = 250;
		int height = 70;
		
		FlowLayout fl = new FlowLayout(FlowLayout.CENTER);
		this.setLayout(fl);
		cutpaperButton = new Button("CutPaper");
		cutpaperButton.addActionListener(this);
		closeButton = new Button("Close");
		closeButton.addActionListener(this);
		this.add(cutpaperButton);
		this.add(closeButton);
		this.setTitle("CutPaper Sample");
		Dimension dimen = Toolkit.getDefaultToolkit().getScreenSize();		
		this.setSize(width, height);
		this.setLocation(dimen.width/2-width/2, dimen.height/2 - height/2);		

		ptr = new POSPrinter();
		try {
			ptr.open("defaultPrinter");
			ptr.claim(0);
			ptr.setDeviceEnabled(true);
		} catch (JposException e) {
			e.printStackTrace();
			System.exit(0);
		}
	}

	public void actionPerformed(ActionEvent e) {
		if(e.getSource() == cutpaperButton){
			try {
				byte ESCSquence[] = new byte[]{0x1B, 0x7C};
				
				ptr.printNormal(POSPrinterConst.PTR_S_RECEIPT, "------------------------------------------\r\n");
				ptr.printNormal(POSPrinterConst.PTR_S_RECEIPT, "JavaPOS POSPrinter\r\n");
				ptr.printNormal(POSPrinterConst.PTR_S_RECEIPT, "Sample Program\r\n");
				ptr.printNormal(POSPrinterConst.PTR_S_RECEIPT, "------------------------------------------\r\n");
				//	Feed 7 lines
				ptr.printNormal(POSPrinterConst.PTR_S_RECEIPT, new String(ESCSquence) + "7lF");
				//	CutPaper
				ptr.cutPaper(90);
			} catch (JposException jposEvent) {
				jposEvent.printStackTrace();
			}
		}
		else if(e.getSource() == closeButton)
			try {
				ptr.setDeviceEnabled(false);
				ptr.release();
				ptr.close();
				System.exit(0);
			} catch (JposException e1) {
				e1.printStackTrace();
				System.exit(0);
			}			
	}
}
